<?php
/* ThemeREX Socials support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('tiger_claw_trx_socials_theme_setup9')) {
	add_action( 'after_setup_theme', 'tiger_claw_trx_socials_theme_setup9', 9 );
	function tiger_claw_trx_socials_theme_setup9() {
		if (is_admin()) {
			add_filter( 'tiger_claw_filter_tgmpa_required_plugins',			'tiger_claw_trx_socials_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'tiger_claw_trx_socials_tgmpa_required_plugins' ) ) {
	function tiger_claw_trx_socials_tgmpa_required_plugins($list=array()) {
		if (in_array ('trx_socials', tiger_claw_storage_get('required_plugins')))
		$path = tiger_claw_get_file_dir('plugins/trx_socials/trx_socials.zip');
				$list[] = array(
					'name' 		=> esc_html__('ThemeREX Socials', 'tiger-claw'),
					'slug' 		=> 'trx_socials',
					'version'	=> '1.4.5',
					'source'	=> !empty($path) ? $path : 'upload://trx_socials.zip',
					'required' 	=> false
				);
		return $list;
	}
}
?>