<?php
/**
 * The style "detailed" of the Events item
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.2
 */

$args = get_query_var('trx_addons_args_sc_events');

if ($args['slider']) {
	?><div class="swiper-slide"><?php
} else if ((int)$args['columns'] > 1) {
	?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $args['columns'])); ?>"><?php
}

?><div class="sc_events_item"><?php
	// Event's date
	$date = tribe_get_start_date(null, true, 'j F, Y');
	if (empty($date)) $date = get_the_date('j F, Y');
	$time = tribe_get_start_time(null, 'g:i A');
	echo '<div class="wrap_events_img">'.get_the_post_thumbnail().'</div>';
	// Event's date
	?><div class="wrap_events_item">
	<span class="item_date_wrap"><span class="item_date"><?php echo esc_html($date); ?></span></span><?php
	// Event's time
	?><span class="item_time_wrap"><span class="item_time"><?php echo ($time ?  esc_html__('Starting at ', 'trx_addons') . esc_html($time) : esc_html__('Whole day', 'trx_addons')); ?></span></span>
	<div class="top_sep">
		<span class="item_title_wrap"><span class="item_title"><a href="<?php echo esc_url(get_permalink()); ?>"><?php the_title(); ?></a></span></span>
	</div>
	</div><div class="wrap_events_link">
	<a href="<?php echo esc_url(get_permalink()); ?>" class="sc_button events_link"><?php esc_html_e('Learn more', 'trx_addons'); ?></a>
	</div></div><?php

if ($args['slider'] || (int)$args['columns'] > 1) {
	?></div><?php
}
?>